import _extends from "@babel/runtime/helpers/extends";
var SubNavLayoutMeta = {
  "componentName": "SubNavLayout",
  "title": "SubNavLayout",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "api_document_lowcode_components",
    "version": "0.1.4",
    "exportName": "SubNavLayout",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [{
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "topContent",
          "zh-CN": "topContent"
        }
      },
      "name": "topContent",
      "setter": {
        "componentName": "SlotSetter",
        "props": {
          "mode": "node"
        },
        "isRequired": false,
        "initialValue": {
          "type": "JSSlot",
          "value": []
        }
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "bottomContent",
          "zh-CN": "bottomContent"
        }
      },
      "name": "bottomContent",
      "setter": {
        "componentName": "SlotSetter",
        "props": {
          "mode": "node"
        },
        "isRequired": true,
        "initialValue": {
          "type": "JSSlot",
          "value": []
        }
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "navList",
          "zh-CN": "navList"
        }
      },
      "name": "navList",
      "setter": {
        "componentName": "ArraySetter",
        "props": {
          "itemSetter": {
            "componentName": "ObjectSetter",
            "props": {
              "config": {
                "items": [{
                  "title": {
                    "label": {
                      "type": "i18n",
                      "en-US": "title",
                      "zh-CN": "title"
                    }
                  },
                  "name": "title",
                  "setter": {
                    "componentName": "StringSetter",
                    "isRequired": true,
                    "initialValue": ""
                  }
                }, {
                  "title": {
                    "label": {
                      "type": "i18n",
                      "en-US": "href",
                      "zh-CN": "href"
                    }
                  },
                  "name": "href",
                  "setter": {
                    "componentName": "StringSetter",
                    "isRequired": false,
                    "initialValue": ""
                  }
                }, {
                  "title": {
                    "label": {
                      "type": "i18n",
                      "en-US": "content",
                      "zh-CN": "content"
                    }
                  },
                  "name": "content",
                  "setter": {
                    "componentName": "SlotSetter",
                    "props": {
                      "mode": "node"
                    },
                    "isRequired": false,
                    "initialValue": {
                      "type": "JSSlot",
                      "value": []
                    }
                  }
                }],
                "extraSetter": {
                  "componentName": "MixedSetter",
                  "isRequired": false,
                  "props": {}
                }
              }
            }
          }
        },
        "isRequired": true,
        "initialValue": []
      }
    }],
    "supports": {
      "style": true
    },
    "component": {}
  }
};
var snippets = [{
  "title": "SubNavLayout",
  "screenshot": "",
  "schema": {
    "componentName": "SubNavLayout",
    "props": {}
  }
}];
export default _extends({}, SubNavLayoutMeta, {
  snippets: snippets
});