import _extends from "@babel/runtime/helpers/extends";
var TwoColumnMeta = {
  "componentName": "TwoColumn",
  "title": "TwoColumn",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "api_document_lowcode_components",
    "version": "0.1.4",
    "exportName": "TwoColumn",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [{
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "leftContent",
          "zh-CN": "leftContent"
        }
      },
      "name": "leftContent",
      "setter": {
        "componentName": "SlotSetter",
        "props": {
          "mode": "node"
        },
        "isRequired": true,
        "initialValue": {
          "type": "JSSlot",
          "value": []
        }
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "rightContent",
          "zh-CN": "rightContent"
        }
      },
      "name": "rightContent",
      "setter": {
        "componentName": "SlotSetter",
        "props": {
          "mode": "node"
        },
        "isRequired": true,
        "initialValue": {
          "type": "JSSlot",
          "value": []
        }
      }
    }],
    "supports": {
      "style": true
    },
    "component": {}
  }
};
var snippets = [{
  "title": "TwoColumn",
  "screenshot": "",
  "schema": {
    "componentName": "TwoColumn",
    "props": {}
  }
}];
export default _extends({}, TwoColumnMeta, {
  snippets: snippets
});