"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var CodeDescriptionMeta = {
  "componentName": "CodeDescription",
  "title": "CodeDescription",
  "docUrl": "",
  "screenshot": "",
  "devMode": "proCode",
  "npm": {
    "package": "api_document_lowcode_components",
    "version": "0.1.4",
    "exportName": "CodeDescription",
    "main": "src/index.tsx",
    "destructuring": true,
    "subName": ""
  },
  "configure": {
    "props": [{
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "isShowBorder",
          "zh-CN": "isShowBorder"
        }
      },
      "name": "isShowBorder",
      "setter": {
        "componentName": "BoolSetter",
        "isRequired": true,
        "initialValue": true
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "code",
          "zh-CN": "code"
        }
      },
      "name": "code",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": true,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "type",
          "zh-CN": "type"
        }
      },
      "name": "type",
      "setter": {
        "componentName": "StringSetter",
        "isRequired": true,
        "initialValue": ""
      }
    }, {
      "title": {
        "label": {
          "type": "i18n",
          "en-US": "description",
          "zh-CN": "description"
        }
      },
      "name": "description",
      "setter": {
        "componentName": "MixedSetter",
        "props": {
          "setters": ["TextAreaSetter", "SlotSetter"]
        },
        "isRequired": true,
        "defaultValue": "Not Found"
      }
    }],
    "supports": {
      "style": true
    },
    "component": {}
  }
};
var snippets = [{
  "title": "CodeDescription",
  "screenshot": "",
  "schema": {
    "componentName": "CodeDescription",
    "props": {}
  }
}];
var _default = exports["default"] = (0, _extends2["default"])({}, CodeDescriptionMeta, {
  snippets: snippets
});